org.keycloak.models.map.loginFailure

## Class MapUserLoginFailureEntity<K>

- java.lang.Object
- - org.keycloak.models.map.loginFailure.MapUserLoginFailureEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>, UpdatableEntity

      public class MapUserLoginFailureEntity<K>
      extends Object
      implements AbstractEntity<K>

  Author:
    Martin Kanis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `updated` Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapUserLoginFailureEntity()`
    `MapUserLoginFailureEntity(K id, String realmId, String userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearFailures()`
    `int` | `getFailedLoginNotBefore()`
    `K` | `getId()`
    `long` | `getLastFailure()`
    `String` | `getLastIPFailure()`
    `int` | `getNumFailures()`
    `String` | `getRealmId()`
    `String` | `getUserId()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setFailedLoginNotBefore(int failedLoginNotBefore)`
    `void` | `setLastFailure(long lastFailure)`
    `void` | `setLastIPFailure(String lastIPFailure)`
    `void` | `setNumFailures(int numFailures)`
    `void` | `setRealmId(String realmId)`
    `void` | `setUserId(String userId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### updated

          protected boolean updated

      Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Detail

    - #### MapUserLoginFailureEntity

          public MapUserLoginFailureEntity()

    - #### MapUserLoginFailureEntity

          public MapUserLoginFailureEntity(K id,
                                           String realmId,
                                           String userId)

  - ### Method Detail

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getFailedLoginNotBefore

          public int getFailedLoginNotBefore()

    - #### setFailedLoginNotBefore

          public void setFailedLoginNotBefore(int failedLoginNotBefore)

    - #### getNumFailures

          public int getNumFailures()

    - #### setNumFailures

          public void setNumFailures(int numFailures)

    - #### getLastFailure

          public long getLastFailure()

    - #### setLastFailure

          public void setLastFailure(long lastFailure)

    - #### getLastIPFailure

          public String getLastIPFailure()

    - #### setLastIPFailure

          public void setLastIPFailure(String lastIPFailure)

    - #### clearFailures

          public void clearFailures()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.